Bug 994577 - [abrt] remmina-1.0.0-7.fc19: _gdk_x11_display_error_event: Process /usr/bin/remmina was killed by signal 5 (SIGTRAP)
[abrt] remmina-1.0.0-7.fc19: _gdk_x11_display_error_event: Process /usr/bin/r...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:a11bdad075fe935a45de6faa209...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 10:16 EDT by Jon
Modified: 2014-08-17 14:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-17 14:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (151.99 KB, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: core_backtrace (9.87 KB, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: dso_list (12.98 KB, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: environ (1.64 KB, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: maps (73.08 KB, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: open_fds (8.06 KB, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details
File: var_log_messages (261 bytes, text/plain)
2013-08-07 10:16 EDT, Jon
no flags Details

  None (edit)
Description Jon 2013-08-07 10:16:09 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        remmina
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/remmina
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2556
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #7 _XEventsQueued at xcb_io.c:364
 #8 XEventsQueued at Pending.c:43
 #9 _cairo_xlib_shm_info_cleanup at cairo-xlib-surface-shm.c:481
 #10 _cairo_xlib_shm_info_create at cairo-xlib-surface-shm.c:640
 #11 _cairo_xlib_shm_surface_create at cairo-xlib-surface-shm.c:829
 #12 _cairo_xlib_surface_create_shm__image at cairo-xlib-surface-shm.c:1169
 #13 _cairo_xlib_surface_draw_image at cairo-xlib-surface.c:1143

Potential duplicate: bug 892356
Comment 1 Jon 2013-08-07 10:16:13 EDT
Created attachment 783941 [details]
File: backtrace
Comment 2 Jon 2013-08-07 10:16:16 EDT
Created attachment 783942 [details]
File: cgroup
Comment 3 Jon 2013-08-07 10:16:18 EDT
Created attachment 783943 [details]
File: core_backtrace
Comment 4 Jon 2013-08-07 10:16:21 EDT
Created attachment 783944 [details]
File: dso_list
Comment 5 Jon 2013-08-07 10:16:24 EDT
Created attachment 783945 [details]
File: environ
Comment 6 Jon 2013-08-07 10:16:26 EDT
Created attachment 783946 [details]
File: limits
Comment 7 Jon 2013-08-07 10:16:28 EDT
Created attachment 783947 [details]
File: maps
Comment 8 Jon 2013-08-07 10:16:30 EDT
Created attachment 783948 [details]
File: open_fds
Comment 9 Jon 2013-08-07 10:16:32 EDT
Created attachment 783949 [details]
File: proc_pid_status
Comment 10 Jon 2013-08-07 10:16:35 EDT
Created attachment 783950 [details]
File: var_log_messages
Comment 11 Pavel Alexeev 2013-09-25 07:04:30 EDT
Open new RDP connection

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/remmina
kernel:         3.10.11-200.hu.0.fc19.x86_64
package:        remmina-1.0.0-7.fc19
reason:         Process /usr/bin/remmina was killed by signal 5 (SIGTRAP)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Christoph Wickert 2014-05-22 07:34:56 EDT
Assigning bug to new package maintainer.
Comment 13 Pavel Alexeev 2014-08-17 14:20:34 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Note You need to log in before you can comment on or make changes to this bug.